groovy.util

## Class ScriptException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - groovy.util.ScriptException

All Implemented Interfaces:
  java.io.Serializable

    public class ScriptException
    extends java.lang.Exception

Author:
  sam
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ScriptException()`
`ScriptException(java.lang.String message)`
`ScriptException(java.lang.String message, java.lang.Throwable cause)`
`ScriptException(java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScriptException

    public ScriptException()

#### ScriptException

    public ScriptException(java.lang.String message)

Parameters:
  `message` -

#### ScriptException

    public ScriptException(java.lang.String message,
                           java.lang.Throwable cause)

Parameters:
  `message` -
  `cause` -

#### ScriptException

    public ScriptException(java.lang.Throwable cause)

Parameters:
  `cause` -